/* Dialer for Fritz!Box */
fbdialver = 1.1 /* version number */
/* tested with AVM Fritz!Box 5140 Surf & Phone */
parse arg phonenumber

if phonenumber = "" then signal HELP


/* -------------------------------SETUP ----------------------*/
/* ISDN = 50 */
/* Fon #1 = 1 */
/* Fon #2 = 2 */
port = 1 /* enter port which your phone has been connected to */

/* 0 = don't use password; 1 = enable password*/
use_password = 0

/* password */
/* enter password here or use password="" to enable password query during runtime*/
password="" 


/* -----------------------------------------------------------*/


if rxfuncquery('SysLoadFuncs') then do
 call RxFuncAdd 'SysLoadFuncs', 'RexxUtil', 'SysLoadFuncs'
 call SysLoadFuncs
end


/* strip and filter phone number */
dialnumber = strip(phonenumber)
dialnumber_temp = ""

do i = 1 to length(dialnumber)
rc = substr(dialnumber, i, 1)
 if datatype(rc) = "NUM" then dialnumber_temp = dialnumber_temp||rc
end
dialnumber = dialnumber_temp
DialCommand = '@wget --post-data "telcfg:command/Dial='|| dialnumber ||'&telcfg:settings/DialPort='|| port ||'" http://fritz.box/cgi-bin/webcm -O NUL'

/* debug */
/* say DialCommand */

if use_password = 1 then do
	if password="" then do
	say "Type password and hit enter:"
	parse pull password
	say password
	end
Say "Login..."
address cmd '@wget --post-data "login:command/password='|| password ||'" http://fritz.box/cgi-bin/webcm -O NUL'
call Syssleep 1
end

address cmd DialCommand

say 'Initializing...'
call syssleep 3
say 'Dialing #' phonenumber
call syssleep 1

drop fbdialver phonenumber dialnumber dialnumber_temp i DialCommand rc

exit


HELP:

say "Dialer for Fritz!Box 5140"
say "PUBLIC DOMAIN script by Frank Wochatz mail@subsys.de"
say "version: " fbdialver
say "syntax:"
say "dialer[.cmd] phone-number"
say "replace phone-number with the number which should be called."
say
say "WGET in path required!"
say
drop fbdialver phonenumber
exit